Bug 134528 - [ENHANCEMENT] Implement a "Redefine Model" Button on Calc Solver
Summary: [ENHANCEMENT] Implement a "Redefine Model" Button on Calc Solver
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: medium enhancement
Assignee: Rafael Lima
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords:
Depends on:
Blocks: Solver
  Show dependency treegraph
 
Reported: 2020-07-05 15:11 UTC by Rafael Lima
Modified: 2021-08-01 00:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Solver Dialog with "Reset All" Button (26.36 KB, image/png)
2020-11-17 21:12 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2020-07-05 15:11:55 UTC
I work with Operations Research and often use LO Solver, specially because it offers COIN_MP solver by default. This makes LO superior to all other Office suites with respect to optimization.

However, the Solver interface could be improved by adding the following features:

1) Add a "Redefine Model" button to the main dialog, that would simply erase all solver settings for the current sheet. This would be very helpful, because today if you need to redefine the model, you need to manually delete all entries in the dialog box separately, which is very cumbersome.

2) Allow the user to define different models for each sheet. Today it is not possible to define multiple models in the same file. I would recommend allowing users to define a new model for each sheet.
Comment 1 Rafael Lima 2020-11-17 21:12:06 UTC
Created attachment 167378 [details]
Solver Dialog with "Reset All" Button

I submitted a patch to Gerrit that implements a "Reset All" button in the Calc Solver dialog. It is now awaiting review.

https://gerrit.libreoffice.org/c/core/+/106030

I also uploaded an image showing the new version of the Solver Dialog, with the new button at the bottom.

The idea is to implement a functionality that is also available in Excel Solver (which is also called "Reset All") with which the user can quickly reset all solver parameters and start from scratch.
Comment 2 Heiko Tietze 2020-11-23 14:54:03 UTC
LGTM
Comment 3 Commit Notification 2020-11-24 06:12:10 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1b05b134e43d3186ddc5b8cfbbacb62ee4af483

tdf#134528 Add "Reset All" button to Calc Solver dialog

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2020-11-24 08:47:16 UTC
Guess you fixed the issue yourself. Very much appreciated! Please also resolve the ticket as fixed.
Comment 5 Commit Notification 2020-11-27 00:10:55 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8795ae5e992e05dbd24cf03560dddb1fee061522

tdf#134528 Add "Reset All" button to Calc Solver dialog

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 stragu 2021-08-01 00:29:42 UTC
Verified as fixed in:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 1dd4a80fa076bedb3a82821517036bad8dd79857
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-26_22:41:19
Calc: threaded

Point 2 about having the option to define different models for different sheets should be opened in a separate enhancement ticket (I couldn't find an existing one).

Removed UX eval.